/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef STATE_HISTORY_H
#define STATE_HISTORY_H

#include <string>
#include <vector>
#include "engine.h"
#include "bitmap.h"
#include "gui.h"

class HistoryState : public AppState
{

	public:

//		HistoryState();	
		~HistoryState();

		// virtual functions to be overloaded
		void on_init();
		
		void on_button_down(int button);
		void on_button_up(int button);
	
		void think(bool first);
		
		
		// new members
		void redraw();
		
	private:
		char *status_text;		
		Gui *gui;		
				
		void refresh();
};


#endif
