/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef LANGWIDGET_H
#define LANGWIDGET_H

#include "SDL/SDL.h"
#include "widget_basic.h"
#include "bitmap.h"
#include "bitmapfont.h"
#include <vector>


class LangWidget : public BasicWidget
{
	public:

		LangWidget(const std::string& n);
		~LangWidget();

		bool on_button_down(int button) { return false; };
		bool on_button_up(int button) { return false; };
		
		void draw_custom_content(SDL_Surface *dest, int x, int y, int w, bool selected) {}
		int get_custom_content_height(bool selected) { return 0; }

		inline std::string get_name() { return name; }
					
	private:
	
		std::string name;

};


#endif
