/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef UTIL_H
#define UTIL_H

#include <iostream>
#include "SDL/SDL.h"


#define UNICODE_BOM_NATIVE      0xFEFF

namespace util
{
	/* This function are based on SDL_ttf */
	Uint16 *utf8_to_unicode_buffer(Uint16 *unicode_buffer, const char *utf8, int len);
	Uint16 *utf8_to_unicode(const char *utf8);
		
	Uint16 *latin1_to_unicode(const char *utf8, int begin, int len);

	Uint16 *copy_unicode_substring(Uint16 *unicode_text, int begin, int end);
	
	/* HW control */
	void hw_set_cpu(int speed);
};

#endif
